<?php

// Página
$direct = 'user';

// Checa se o usuário possui acesso na página
Util::verificaAcesso('cms-' . $direct, 'inserir', '?i=cms-' . $direct);

// Mensagem de Retorno
require_once $GLOBALS['baseDir'] . 'includes/mensagens.php';

$arrAux = Perfil::listar();
if ($arrAux > 0) {
    for ($i = 0; $i < sizeof($arrAux); $i++) {
        if ((false !== in_array($_SESSION['sesCMSIdPerfil'], array(1, 2)) && $arrAux[$i]->id >= $_SESSION['sesCMSIdPerfil'])
            or ($arrAux[$i]->id > $_SESSION['sesCMSIdPerfil'])) {
            $lista[$arrAux[$i]->id] = $arrAux[$i]->nome;
        }
    }
}

echo Form::open($GLOBALS['baseUrl'] . '?i=cms-' . $direct . '-processo&t=inserir', array('name' => 'form', 'id' => 'form', 'class' => 'form bg clearfix'));

    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Nome: *</p>';
            echo Form::text('', 'nome', '', 255, array('class' => 'dois'));
        echo '</div>';

        echo '<div class="col-md-2">';
            echo '<p>E-mail: *</p>';
            echo Form::text('', 'email', '', 255, array('class' => 'dois'));
        echo '</div>';
    echo '</div>';

    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Login: <small>(Caso deixe em branco, gera automático)</small></p>';
            echo Form::text('', 'login', '', 255, array('class' => 'dois'));
        echo '</div>';

        echo '<div class="col-md-2">';
            echo '<p>Tipo: *</p>';
            echo Form::select('', 'perfil', array('value' => $lista), false, array('class' => 'dois select hide-search'));
        echo '</div>';
    echo '</div>';

    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Senha: *</p>';
            echo Form::password('', 'senha', '', 255, array('class' => 'dois'));
        echo '</div>';

        echo '<div class="col-md-2">';
            echo '<p>Confirmar Senha: *</p>';
            echo Form::password('', 'confirmacao', '', 255, array('class' => 'dois'));
        echo '</div>';
    echo '</div>';

    echo Form::button('Salvar', array('class' => 'salvar'));
    echo Form::button('Voltar', array('class' => 'voltar', 'onclick' => "window.location='?i=cms-$direct';"));

echo Form::close();
?>

<script>
$('#busca').css('display', 'none');

$(".salvar").click(function () {
    var validacao = validaCampos('nome,email,senha,confirmacao');

    if (validacao == true) {
        $(this).html('Enviando..');
        $(this).prop('disabled', true);
        $("#form").submit();
    }
});
</script>
